$(document).ready(function(){

  // تحويل التاريخ من هجري الي ميلادي و العكس
  // convertDates('ummalqura','sorce','destination');
  function convertDates(name,ss,dest) {
  var date = $('#' + ss).val().split('/');
  var year = parseInt(date[0], 10);
  var month = parseInt(date[1], 10);
  var day = parseInt(date[2], 10);
  try {var jd = $.calendars.instance(name).newDate(year,month,day).toJD();}
  catch (e) {alert(e);		return;	}
  name == 'ummalqura'?showDate('gregorian', jd,dest):showDate('ummalqura', jd,dest);
        }
  function showDate(name, jd,dest) {
  try {
    $('#' + dest).val('');
    var date = $.calendars.instance(name).fromJD(jd);
    $('#' + dest).val(date.formatYear()+'/'+date.month()+'/'+date.day());
  }
  catch (e) { alert(e); return null; }
  }
})//end of code
